CocoaPods

An Objective-C library dependency manager.

CocoaPods 是一个用来管理 Xcode 依赖库的项目。

使用方式:

CocoaPods 需要安装Rudy 的环境下才能使用,幸运的是所有的mac电脑都已经预装了ruby,所以你需要更新一下你的RubyGems(如果你的系统版本低于OS X Lion)

1.更新RubyGems:

sudo gem update --system

2 安装command line 工具

打开xcode,打开components界面。Xcode->Preferences->Downloads->Components.里面应该有一个选项是”Command Line Tools”,后面应该“Install”或者“Update”按钮,点一下按钮就行。安装完成后,按钮的文字会变成“Installed”。

3 安装CocoaPods

sudo gem install cocoapods

pod setup

4 搜索第三方库

pod search Json

5 编辑podfile,安装

vim Podfile 打开文件,把刚才搜索到的JSONkit添加进去。

platform :ios

pod 'JSONKit'

pod install  或者pod update

6 头文件路径

设置 User header Search Paths  添加 ,输入${SRCROOT}  后面选上recursive。

 

 

 

posted on 2013-03-19 12:57  xtl  阅读(225)  评论(0编辑  收藏  举报

导航